﻿using UnityEngine;
using System.Collections;

public class BeamLight : MonoBehaviour {

	public float startPosY;
	public float finishPosY;
	private float speed = 4f;

	// Use this for initialization
	void Start () {
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		float posY = transform.position.y + speed * Time.deltaTime;
		if (posY > finishPosY)
			posY = startPosY;
		transform.position = new Vector3(transform.position.x, posY, transform.position.z);
	}
}
