﻿using UnityEngine;
using System.Collections;

public class Final : MonoBehaviour {
	
	private GameObject playerObj;

	void Start() {
		GameObject.Find ("BigLight").GetComponent<Light> ().enabled = false;
	}

	private void OnTriggerEnter2D (Collider2D other) {
		Debug.Log ("Final");
		if (other.gameObject.name == "MainCharacter")
		{
			playerObj = other.gameObject;
			GameObject.Find ("MainCamera").GetComponent<CameraMotion>().timeDuration=8;
			GameObject.Find ("MainCamera").GetComponent<CameraMotion>().SetView(6);
			GameObject.Find ("Canvas").GetComponent<UIController> ().ShowCredits ();
			GameObject.Find ("BigLight").GetComponent<Light> ().enabled = true;
			GameObject[] lights = GameObject.FindGameObjectsWithTag("TreeLight");
			foreach (GameObject lighter in lights) {
				lighter.GetComponent<Light>().enabled=true;
				lighter.GetComponent<PulsingLight>().speed = 2f;
				lighter.GetComponent<PulsingLight>().amplitude = 4f;
				lighter.GetComponent<PulsingLight>().shift = Random.Range(0f, 3f);
				lighter.GetComponent<PulsingLight>().pulsing=true;
			}
		}
	}
}
