﻿using UnityEngine;
using System.Collections;

public class Lamp : MonoBehaviour {

	private Light lampa;
	public bool activated = true;
	
	// Use this for initialization
	void Start () {
		lampa = GetComponent<Light> ();
		if (!activated)
			lampa.enabled = false;
	}

	public void TurnOn () {
		activated = true;
		lampa.enabled = true;
	}

	public void TurnOff () {
		activated = false;
		lampa.enabled = false;
	}
}
